// CS106 W19 Kevin Harrigan
// This is a variation of the original version by Craig Kaplan
// Generate random coin flips, eight at a time.  Press
// space to flip eight new coins (newGame boolean variable  
// is used to determine when to play again). After each round,
// the sketch prints out the total number of heads and tails
// flipped.  You should see over time that these two numbers
// stay roughly equal -- that's the statistical nature of
// random numbers at work.

PImage heads;
PImage tails;
int th = 0;
int tt = 0;
boolean newGame = true;

void setup()
{
  size( 800, 100 );
  heads = loadImage( "heads.png" );
  heads.resize( 0, 100 );
  tails = loadImage( "tails.png" );
  tails.resize( 0, 100 );
}

void draw()
{
  if (newGame) {
    playGame();
  }
}

void keyPressed()
{
  newGame = true;
}
